org.apache.http.impl.conn.tsccm

## Class BasicPoolEntry

- java.lang.Object
- - org.apache.http.impl.conn.AbstractPoolEntry
  - - org.apache.http.impl.conn.tsccm.BasicPoolEntry

- Deprecated.
  (4.2) use `PoolEntry`

      @Deprecated
      public class BasicPoolEntry
      extends AbstractPoolEntry

  Basic implementation of a connection pool entry.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.conn.AbstractPoolEntry

      `connection, connOperator, route, state, tracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route)` Deprecated. Creates a new pool entry.
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, long connTTL, TimeUnit timeunit)` Deprecated. Creates a new pool entry with a specified maximum lifetime.
    `BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, ReferenceQueue<Object> queue)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OperatedClientConnection` | `getConnection()` Deprecated.
    `long` | `getCreated()` Deprecated.
    `long` | `getExpiry()` Deprecated.
    `protected HttpRoute` | `getPlannedRoute()` Deprecated.
    `long` | `getUpdated()` Deprecated.
    `long` | `getValidUntil()` Deprecated.
    `protected BasicPoolEntryRef` | `getWeakRef()` Deprecated.
    `boolean` | `isExpired(long now)` Deprecated.
    `protected void` | `shutdownEntry()` Deprecated. Shuts down the entry.
    `void` | `updateExpiry(long time, TimeUnit timeunit)` Deprecated.

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractPoolEntry

      `getState, layerProtocol, open, setState, tunnelProxy, tunnelTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route,
                        ReferenceQueue<Object> queue)

      Deprecated.

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route)

      Deprecated.
      Creates a new pool entry.
      Parameters:
        `op` - the connection operator
        `route` - the planned route for the connection

    - #### BasicPoolEntry

          public BasicPoolEntry(ClientConnectionOperator op,
                        HttpRoute route,
                        long connTTL,
                        TimeUnit timeunit)

      Deprecated.
      Creates a new pool entry with a specified maximum lifetime.
      Parameters:
        `op` - the connection operator
        `route` - the planned route for the connection
        `connTTL` - maximum lifetime of this entry, <=0 implies "infinity"
        `timeunit` - TimeUnit of connTTL
      Since:
        4.1

  - ### Method Detail

    - #### getConnection

          protected final OperatedClientConnection getConnection()

      Deprecated.

    - #### getPlannedRoute

          protected final HttpRoute getPlannedRoute()

      Deprecated.

    - #### getWeakRef

          protected final BasicPoolEntryRef getWeakRef()

      Deprecated.

    - #### shutdownEntry

          protected void shutdownEntry()

      Deprecated.
      Description copied from class: `AbstractPoolEntry`
      Shuts down the entry. If `AbstractPoolEntry.open(HttpRoute, HttpContext, HttpParams)` is in progress, this will cause that open to possibly throw an `IOException`.
      Overrides:
        `shutdownEntry` in class `AbstractPoolEntry`

    - #### getCreated

          public long getCreated()

      Deprecated.
      Since:
        4.1

    - #### getUpdated

          public long getUpdated()

      Deprecated.
      Since:
        4.1

    - #### getExpiry

          public long getExpiry()

      Deprecated.
      Since:
        4.1

    - #### getValidUntil

          public long getValidUntil()

      Deprecated.

    - #### updateExpiry

          public void updateExpiry(long time,
                          TimeUnit timeunit)

      Deprecated.
      Since:
        4.1

    - #### isExpired

          public boolean isExpired(long now)

      Deprecated.
      Since:
        4.1

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.